Subject: Re: [syzbot] INFO: task hung in synchronize_rcu (3)

From: syzbot <[email-masked]>
Date: Tue, 10 May 2022 01:51:13 -0700

syzbot suspects this issue was fixed by commit:

commit 2d08935682ac5f6bfb70f7e6844ec27d4a245fa4
Author: Sean Christopherson <[email-masked]>
Date:   Fri Apr 15 00:43:41 2022 +0000

    KVM: x86: Don't re-acquire SRCU lock in complete_emulated_io()

bisection log:  https://syzkaller.appspot.com/x/bisect.txt?x=16dc2e49f00000
start commit:   ea4424be1688 Merge tag 'mtd/fixes-for-5.17-rc8' of git://g..
git tree:       upstream
kernel config:  https://syzkaller.appspot.com/x/.config?x=442f8ac61e60a75e
dashboard link: https://syzkaller.appspot.com/bug?extid=0c6da80218456f1edc36
syz repro:      https://syzkaller.appspot.com/x/repro.syz?x=1685af9e700000
C reproducer:   https://syzkaller.appspot.com/x/repro.c?x=11b09df1700000

If the result looks correct, please mark the issue as fixed by replying with:

#syz fix: KVM: x86: Don't re-acquire SRCU lock in complete_emulated_io()

For information about bisection process see: https://goo.gl/tpsmEJ#bisection